Debian Bug report logs - #603249
libfile-temp-perl: obsoleted by perl in squeeze

version graph

Package: libfile-temp-perl; Maintainer for libfile-temp-perl is (unknown);

Reported by: Niko Tyni <ntyni@debian.org>

Date: Fri, 12 Nov 2010 08:51:01 UTC

Severity: serious

Found in version libfile-temp-perl/0.22-1

Fixed in version 0.22-1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#603249; Package libfile-temp-perl. (Fri, 12 Nov 2010 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 12 Nov 2010 08:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: libfile-temp-perl: obsoleted by perl in squeeze
Date: Fri, 12 Nov 2010 10:48:30 +0200
Package: libfile-temp-perl
Version: 0.22-1
Severity: serious

There's no use shipping this duplicate copy of File::Temp in squeeze as
there's the same version in perl core.

I don't see any versioned dependencies (except those guarded with perl
(>= 5.10.1) | libfile-temp-perl (>= 0.xx), which are OK) in the archive.
So I think this package could be removed from testing with no ill effects.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#603249; Package libfile-temp-perl. (Sat, 16 Jul 2011 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 16 Jul 2011 21:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 603249@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: 603249@bugs.debian.org
Subject: Removal of libfile-temp-perl
Date: Sat, 16 Jul 2011 17:01:40 -0400
To whoever might stumble upon this bug,

I looked into it quickly and it looks like libfile-temp-perl has
already been removed from squeeze. I guess we need to leave this bug
here to prevent it from being migrated to testing.

Cheers,

Jonathan




Information stored :
Bug#603249; Package libfile-temp-perl. (Sun, 15 Jan 2012 13:15:46 GMT) Full text and rfc822 format available.

Message #13 received at 603249-quiet@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: debian-perl@lists.debian.org
Cc: 603249-quiet@bugs.debian.org, 603250-quiet@bugs.debian.org
Subject: Remove libfile-temp-perl, libmodule-pluggable-perl: obsoleted by perl in Squeeze
Date: Sun, 15 Jan 2012 14:13:20 +0100
I was wondering if we should request removal of libfile-temp-perl and
libmodule-pluggable-perl from the archive.  They were obsoleted by perl
in squeeze[1][2] and no new version was released since then.

Removing them would reduce our open RC bugs by two :)

Regards,
Ansgar

[1] <http://bugs.debian.org/603249>
[2] <http://bugs.debian.org/603250>




Information stored :
Bug#603249; Package libfile-temp-perl. (Sun, 15 Jan 2012 20:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 15 Jan 2012 20:00:08 GMT) Full text and rfc822 format available.

Message #18 received at 603249-quiet@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: debian-perl@lists.debian.org, 603249-quiet@bugs.debian.org, 603250-quiet@bugs.debian.org
Subject: Re: Bug#603250: Remove libfile-temp-perl, libmodule-pluggable-perl: obsoleted by perl in Squeeze
Date: Sun, 15 Jan 2012 20:56:56 +0100
[Message part 1 (text/plain, inline)]
On Sun, 15 Jan 2012 14:13:20 +0100, Ansgar Burchardt wrote:

> I was wondering if we should request removal of libfile-temp-perl and
> libmodule-pluggable-perl from the archive.  They were obsoleted by perl
> in squeeze[1][2] and no new version was released since then.

I've argued for keeping them in the past, but since there are no new
versions around and since reviving them (if we keep the repos in
attic/) is cheap, I have no objections.
 
> Removing them would reduce our open RC bugs by two :)

:)
 

PS: I'm of course also fine with your other removal requests.


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Cat Stevens: I Love My Dog
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 31 Jan 2012 19:21:04 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Tue, 31 Jan 2012 19:21:04 GMT) Full text and rfc822 format available.

Message #23 received at 603249-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 603249-done@bugs.debian.org,
Cc: libfile-temp-perl@packages.debian.org, libfile-temp-perl@packages.qa.debian.org
Subject: Bug#657868: Removed package(s) from unstable
Date: Tue, 31 Jan 2012 19:18:33 +0000
Version: 0.22-1+rm

Dear submitter,

as the package libfile-temp-perl has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/657868

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Feb 2012 07:40:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:22:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.